
%define akonadiprivate_major 5
%define libakonadiprivate %mklibname akonadiprivate %{akonadiprivate_major}
%define akonadi_devel %mklibname kf5akonadi -d

Name: akonadi
Summary: An extensible cross-desktop storage service for PIM
Version: 18.08.2
Release: %mkrel 1
URL: http://pim.kde.org/akonadi/
License: LGPLv2+
Group: Graphical desktop/KDE5
Source0: http://fr2.rpmfind.net/linux/KDE/stable/akonadi/src/%{name}-%{version}.tar.xz
#general buildrequires
#------------------------------------------------------
BuildRequires: %{_lib}qt5base5-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5imageformats-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5qml-devel
BuildRequires: %{_lib}qt5quick-devel
BuildRequires: %{_lib}qt5bluetooth-devel
BuildRequires: %{_lib}qt5clucene-devel
BuildRequires: %{_lib}qt5concurrent-devel
BuildRequires: %{_lib}qt5designer-devel
BuildRequires: %{_lib}qt5labstemplates-devel
BuildRequires: %{_lib}qt5location-devel
BuildRequires: %{_lib}qt5multimedia-devel
BuildRequires: %{_lib}qt5multimediawidgets-devel
BuildRequires: %{_lib}qt5nfc-devel
BuildRequires: %{_lib}qt5opengl-devel
BuildRequires: %{_lib}qt5platformsupport-devel
BuildRequires: %{_lib}qt5positioning-devel
BuildRequires: %{_lib}qt5printsupport-devel
BuildRequires: %{_lib}qt5quickparticles-devel
BuildRequires: %{_lib}qt5quicktest-devel
BuildRequires: %{_lib}qt5quickwidgets-devel
BuildRequires: %{_lib}qt5script-devel
BuildRequires: %{_lib}qt5scripttools-devel
BuildRequires: %{_lib}qt5sensors-devel
BuildRequires: %{_lib}qt5serialport-devel
BuildRequires: %{_lib}qt5sql-devel
BuildRequires: %{_lib}qt5svg-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5waylandclient-devel
BuildRequires: %{_lib}qt5webchannel-devel
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------
BuildRequires: extra-cmake-modules
BuildRequires: shared-mime-info
BuildRequires: libxslt-proc
BuildRequires: libxml2-utils
BuildRequires: mysql-devel
BuildRequires: postgresql-devel-virtual
BuildRequires: boost-devel
BuildRequires: %{_lib}sqlite3-devel
#------------------------------------------------------
Requires: qtbase5-database-plugin-mysql
Requires: mysql-core
Requires: mysql-common
Requires: mysql-client
#------------------------------------------------------
Obsoletes: kdepimlibs-handbooks

%description
An extensible cross-desktop storage service for PIM data and meta data
providing concurrent read, write, and query access.

%files
%doc README
%{_bindir}/*
%dir %{_libdir}/%{name}
%{_datadir}/dbus-1/services/*
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/mime/packages/akonadi-mime.xml
%{_libdir}/plugins/sqldrivers/libqsqlite3.so
%{_libdir}/plugins/akonadi/akonadi_test_searchplugin.so
%{_libdir}/plugins/designer/akonadi5widgets.so
%{_datadir}/akonadi/agents/knutresource.desktop
%{_datadir}/config.kcfg/resourcebase.kcfg
%{_datadir}/kf5/akonadi/akonadi-xml.xsd
%{_datadir}/kf5/akonadi/kcfg2dbus.xsl
%{_datadir}/kf5/akonadi_knut_resource/knut-template.xml
#------------------------------------------------------------------------------
%_libdir/libKF5Akonadi*.so.%{akonadiprivate_major}*
#------------------------------------------------------------------------------
%{_datadir}/locale
%{_datadir}/icons/hicolor
%exclude %{_datadir}/kdevappwizard/templates/akonadiresource.tar.bz2
%exclude %{_datadir}/kdevappwizard/templates/akonadiserializer.tar.bz2
/etc/xdg/akonadi.categories
/etc/xdg/akonadi.renamecategories
/etc/xdg/akonadi/mysql-global-mobile.conf
/etc/xdg/akonadi/mysql-global.conf

%package   -n %akonadi_devel
Summary:   Devel stuff for %name
Group:     Development/Libraries
Requires:  %name
Obsoletes: akonadi-devel
Provides:  akonadi-devel = %version-%release

%description  -n %akonadi_devel
This package contains header files needed if you wish to build applications
based on %name

%files -n %akonadi_devel
%{_includedir}/*
%{_libdir}/*.so
/usr/mkspecs/modules/qt_Akonadi*.pri
%{_libdir}/cmake/KF5Akonadi/*
#------------------------------------------------------------------------------


%prep
%setup -q 

%build
export USE_CCACHE=1
%cmake_qt5 -DMYSQLD_EXECUTABLE=/usr/sbin/mysqld -DCMAKE_BUILD_TYPE=Release -DBUILD_TESTING=OFF
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

# We own this as this is present in some packages like korganiser
mkdir -p %buildroot%{_libdir}/%{name}


%changelog
* Fri Oct 19 2018 adrianomorselli <adrianomorselli> 18.08.2-1uplos2018
- update
